# This file created by conda-build 3.17.1
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/qtconsole-4.4.3-python_3.7-on-linux_64, last modified Tue Dec 11 17:26:21 2018
# ------------------------------------------------

package:
    name: qtconsole
    version: 4.4.3
source:
    sha256: bc1ba15f50c29ed50f1268ad823bb6543be263c18dd093b80495e9df63b003ac
    url: https://pypi.io/packages/source/q/qtconsole/qtconsole-4.4.3.tar.gz
build:
    entry_points:
        - jupyter-qtconsole = qtconsole.qtconsoleapp:main
    noarch: false
    number: '0'
    script: /tmp/build/80754af9/qtconsole_1544549317009/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
    string: py37_0
requirements:
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.11.29 py37_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1a h7b6447c_0
        - pip 18.1 py37_0
        - python 3.7.1 h0371630_3
        - readline 7.0 h7b6447c_5
        - setuptools 40.6.2 py37_0
        - sqlite 3.25.3 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.32.3 py37_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - ipykernel >=4.1
        - jupyter_client >=4.1
        - jupyter_core
        - pygments
        - pyqt
        - python >=3.7,<3.8.0a0
        - traitlets
test:
    commands:
        - DISPLAY=localhost:1.0 xvfb-run -a bash -c 'jupyter qtconsole --help'
    imports:
        - qtconsole
        - qtconsole.tests
about:
    description: 'A rich Qt-based console for working with Jupyter kernels, supporting
        rich

        media output, session export, and more. The Qt console is a very

        lightweight application that largely feels like a terminal, but provides

        a number of enhancements only possible in a GUI, such as inline figures,

        proper multiline editing with syntax highlighting, graphical calltips, and

        more.

        '
    dev_url: https://github.com/jupyter/qtconsole
    doc_source_url: https://github.com/jupyter/qtconsole/tree/master/docs
    doc_url: https://qtconsole.readthedocs.org/en/stable/
    home: http://jupyter.org
    license: BSD 3-Clause
    license_file: LICENSE
    summary: Jupyter Qt console
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - Carreau
        - ccordoba12
        - jakirkham
        - minrk
        - ocefpaf
        - takluyver
